 
            <h5>
                <span>Detail Antar Cabang</span>
            </h5>
            &nbsp;
            <div style="margin-top: 20px;">
                    <div class="row">
                            <div class="col-sm-6">
                                <div class="row">
                                        <div class="col-sm-4">
                                                <label>Nomor Request</label>
                                            </div>
                                    <!-- <div class="col-sm-4">
                                        <label jhiTranslate="mpmApp.person.name" for="field_firstName">Name</label>
                                    </div> -->
                                    <div class="col-sm-8">
                                        :
                                        <!-- : {{ prospectPerson.person.firstName }} {{ prospectPerson.person.lastName }} -->
                                     </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label>Tanggal Request</label>
                                    </div>
                                    <div class="col-sm-8">
                                        :
                                        <!-- : {{ prospectPerson.person.pob }} -->
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label>Dealer Pemohon</label>
                                    </div>
                                    <div class="col-sm-8">
                                        :
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <label>Status</label>
                                    </div>
                                    <div class="col-sm-8">
                                        :
                                    </div>
                                </div>
                            </div>
                        </div>
                            &nbsp;
        
                            <p-dataTable 
                            [value]="antarCabangDetails"
                            [editable]="true" [responsive]="true" [lazy]="true" dataKey="idShipment"
                            expandableRows="false">
                            <p-header>
                                <div>
                    
                                </div>
                            </p-header>
                            <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                            <p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                    {{rowIndex + 1}}
                                </ng-template>
                            </p-column>
                            <p-column header="Kode Tipe">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.description}}
                                </ng-template>
                            </p-column>
                            <p-column header="Warna">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.shippingListNumber}}
                                </ng-template>
                            </p-column>
                            <p-column header="NOKA">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.shippingListDate | date:'dd-MM-yyyy HH:mm:ss'}}
                                </ng-template>
                            </p-column>
                            <p-column header="Helm">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.suratJalanNumber}}
                                </ng-template>
                            </p-column>
                            <p-column header="Spion Kanan">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.suratJalanDate | date:'dd-MM-yyyy HH:mm:ss'}}
                                </ng-template>
                            </p-column>
                            <p-column header="Spion Kiri">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.expeditionName}}
                                </ng-template>
                            </p-column>
                            <p-column header="Tool Kit">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.expeditionName}}
                                </ng-template>
                            </p-column>
                            <p-column header="Buku Service">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.expeditionName}}
                                </ng-template>
                            </p-column>
                            <p-column header="Accu">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.expeditionName}}
                                </ng-template>
                            </p-column>
                            <p-column header="Buku Pedoman">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.expeditionName}}
                                </ng-template>
                            </p-column>
                            <p-column header="Acc 8">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.expeditionName}}
                                </ng-template>
                            </p-column>
                            <p-column header="Acc Extra 1">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.expeditionName}}
                                </ng-template>
                            </p-column>
                            <p-column header="Acc Extra 2">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.expeditionName}}
                                </ng-template>
                            </p-column>
                            <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <!-- <button pButton type="submit"
                                            [routerLink]="['../product-category-type', rowData.idCategoryType]"
                                            icon="fa-eye"
                                            class="flat-button">
                                    </button> -->
                                    <button pButton type="submit"
                                            (click)="checkList()"
                                            icon="fa-eye"
                                            class="flat-button">
                                    </button>
                                    <button pButton type="submit"
                                            (click)="checkManualMatching()"
                                            icon="fa-puzzle-piece"
                                            class="flat-button">
                                    </button>
                                </ng-template>
                            </p-column>
                            &nbsp;
                            <!-- <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                            </ng-template> -->
                        </p-dataTable>
                        <div style="margin-top: 10px;"></div>
                        <div class="btn-filter-wrapper pull-right">
                            &nbsp;
                                <button type="button" class="btn btn-primary btn-filter pull-right" (click)="showCetakBast()">
                                        <span>CETAK BAST</span>
                                </button>
                            &nbsp;
                        </div>
                        <p-dialog header="Print BAST" [(visible)]="cetakBast" modal="true" [width]="500">
                            <div class="row">
                                <div class="col-sm-12">
                                    <h6>Silahkan Pilih Driver :</h6>
                                        <div class="col-sm-8">
                                            <div class="form-group">
                                                <p-radioButton label="Driver"></p-radioButton>
                                                <select class="form-control">
                                                    <option [ngValue]="null"></option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-8">
                                            <div class="form-group">
                                                <p-radioButton label="Others"></p-radioButton>
                                                <input type="text" class="form-control">
                                            </div>
                                        </div>
                                        <br>
                                        <h6>Silahkan Pilih Dokumen BAST yang akan dicetak :</h6>
                                        <div class="col-sm-12">
                                            <p-checkbox label="Print BAST Unit" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="col-sm-12">
                                            <p-checkbox label="Print BAST Aksesories" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="btn-filter-wrapper pull-right">
                                            <button type="button" class="btn btn-primary btn-filter">
                                                <span>PRINT</span>
                                            </button>
                                        </div>
                                </div>
                            </div>
                        </p-dialog>

                        <p-dialog header="List Aksesories" [(visible)]="printAcc" modal="true" [width]="400">
                            <div class="row">
                                <div class="col-sm-12">
                                        <div class="col-sm-12">
                                            <p-checkbox label="Helm" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="col-sm-12">
                                            <p-checkbox label="Spion Kanan" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="col-sm-12">
                                            <p-checkbox label="Spion Kiri" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="col-sm-12">
                                            <p-checkbox label="Tool Kit" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="col-sm-12">
                                            <p-checkbox label="Buku Service" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="col-sm-12">
                                            <p-checkbox label="Accu" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="col-sm-12">
                                            <p-checkbox label="Buku Pedoman" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="col-sm-12">
                                            <p-checkbox label="Acc 8" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="col-sm-12">
                                            <p-checkbox label="Acc Extra 1" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="col-sm-12">
                                            <p-checkbox label="Acc Extra 2" styleClass="form-check-input" binary="true"></p-checkbox>
                                        </div>
                                        <div class="btn-filter-wrapper pull-right">
                                            <button type="button" class="btn btn-primary btn-filter">
                                                <span>UPDATE</span>
                                            </button>
                                        </div>
                                </div>
                            </div>
                        </p-dialog>

                        <p-dialog header="Manual Matching" [(visible)]="manualMatchingAcc" modal="true" [width]="600">
                        
                            <div class="modal-body">
                                <span class="ui-g-4">
                                    <label class="form-control-label"></label>No. Rangka :</span>
                                <input class="ui-g-8" [disabled]="true" type="text" name="noka" style="width:50%" />
                                <span class="ui-g-4">
                                    <label class="form-control-label"></label>No. Mesin :</span>
                                <input class="ui-g-8" pInputText type="text" [disabled]="true" name="nosin" style="width:50%"
                                />
                                <div style="margin-top: 10px;"></div>
                                &nbsp;
                                <p-dataTable [responsive]="true" expandableRows="false">
                                    <p-header>
                                    </p-header>
                                    <p-column header="No Rangka" [style]="{'width': '40px', 'text-align': 'center'}">
                                        <ng-template let-rowData="rowData" pTemplate="body">
                                            <!-- {{rowData.idframe}} -->
                                        </ng-template>
                                    </p-column>
                                    <p-column header="No Mesin" [style]="{'width': '40px', 'text-align': 'center'}">
                                        <ng-template let-rowData="rowData" pTemplate="body">
                                            <!-- {{rowData.idmachine}} -->
                                        </ng-template>
                                    </p-column>
                                    <p-column header="Lokasi" [style]="{'width': '40px', 'text-align': 'center'}">
                                        <ng-template let-rowData="rowData" pTemplate="body">
                                            <!-- {{rowData.idproduct}} -->
                                        </ng-template>
                                    </p-column>
                                    <p-column header="Tanggal SPG" [style]="{'width': '40px', 'text-align': 'center'}">
                                        <ng-template let-rowData="rowData" pTemplate="body">
                                            <!-- {{rowData.dateCreate}} -->
                                        </ng-template>
                                    </p-column>
                                    <p-column header="Aksi" [style]="{'width': '40px', 'text-align': 'center'}">
                                        <ng-template let-rowData="rowData" pTemplate="body">
                                            <button pButton type="submit" (click)="pilih(rowData)" label="Pilih">
                                            </button>
                                        </ng-template>
                                    </p-column>
                                </p-dataTable>
                            </div>

                        </p-dialog>
            </div>
            <div style="margin-top: 10px;"></div>                        
               